PDA

View Full Version : สองเรารวมเป็นหนึ่ง


buffalo
18-10-2006, 11:25 AM
บางครั้งเราก็อยากรวมสองเป้นหนึ่งแนบแน่นก็เอาตัวนี้ ไปใช้เลยครับ love.lsp

http://i114.photobucket.com/albums/n270/yesbuffalo/thai3dviz/lisp-001.jpg

copy code แล้วเซฟเป็น love.lsp



(defun c:love (/ fst ss nn efst txt addt count)
(while (= (setq fst (entsel "\nPick First Text >> ")) nil))
(print "Add Text >> ")
(terpri)
(setq ss (ssget '((0 . "text"))))
(setq nn (sslength ss) count 0)
(setq efst (entget (car fst)))
(setq txt (cdr (assoc 1 efst)))
(while (< count nn)
(setq nm (ssname ss count))
(setq addt (cdr (assoc 1 (entget nm))))
(setq txt (strcat txt addt))
(entdel nm)
(setq count (1+ count))
)
(setq efst (subst (cons 1 txt) (assoc 1 efst) efst))
(entmod efst)
(princ)
)

ฉันรักเธอ:D
ปล.ขอขอบคุณท่านที่เขียน lisp ไว้นะที่นี้ด้วยนะครับ

D.H
18-10-2006, 12:31 PM
555 เจ๋งครับ
ไว้สเปคแบบง่ายดีครับ

phol_66
18-10-2006, 12:40 PM
เยี่ยมครับ

T_arm
18-10-2006, 02:08 PM
ดีมาก เลย ครับ ฉันรักเธอ :) :)

phoenix
18-10-2006, 03:28 PM
บอกรักแฟนผ่าน file cad .............

notty
18-10-2006, 04:29 PM
เจ๋งครับ ไม่ค่อยจะรู้เรื่องแคดแล้วเขียนได้ก๊อกๆแก๊กๆ แต่รู้ว่ามันมีประโยชน์แน่ๆ ขอบคุณครับ :D

SID13
19-10-2006, 12:07 AM
:D โรแมนติกมากเลยครับ

jan_nai_bor
19-10-2006, 10:22 PM
ผม รัก...เอ้ยขอบคุณมากครับผม

natty_evolution
20-10-2006, 07:16 PM
ขาร็อกช๊อบชอบ
เข้ากับหน้าดี

koboriman
20-10-2006, 07:17 PM
แจ่มเลยครับ:)

TiMmz
23-10-2006, 11:39 AM
เพิ่งเข้ามาดู

เจ๋งไปเลยครับ

mil lim
20-11-2006, 02:41 PM
โอวว....cad ทำได้มากกว่าที่คิดเยอะเลย

Labor3D
23-11-2006, 05:41 PM
เจ๋งครับ ขอบคุณครับ

NATTER
13-04-2010, 07:56 PM
ขอบคุณครับ.:)

NATTER
13-04-2010, 08:09 PM
ขอบคุณครับ.:)

BM3DM
16-04-2010, 10:41 PM
ยอดมาก ขอบคุณครับผม
:d

jaruk95
16-04-2010, 10:43 PM
เข้ามาฮากับ จขกท ด้วยครับ:d

Tx3
17-04-2010, 11:52 PM
เก่งมากครับ ชื่นชม